DMParserInternal::PictInfo Struct Reference

Internal: store a picture information in DMParser. More...

## Public Member Functions

| PictInfo ()
| constructor More...

## Public Attributes

int | m_id
| the picture id More...
int | m_sndId
| the sound id More...
int | m_align
| the alignement ( 1:center, ... ) More...
bool | m_print
| true if the picture is printed More...
bool | m_invert
| true if we must invert the picture More...
int | m_action
| the action More...
std::string | m_actionString
| the action string More...
int | m_next [2]
| the next chapter/paragraph position for goChapter More...
std::string | m_appleScript [3]
| the applescript type More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, PictInfo const &info)
| operator<< More...

## Detailed Description

Internal: store a picture information in DMParser.

## Constructor & Destructor Documentation

DMParserInternal::PictInfo::PictInfo | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | PictInfo const & | info
| ) |  |

friend

operator<<

## Member Data Documentation

int DMParserInternal::PictInfo::m_action

the action

Referenced by DMParserInternal::operator<<(), DMParser::readPictInfo(), and DMParser::sendPicture().

std::string DMParserInternal::PictInfo::m_actionString

the action string

Referenced by DMParserInternal::operator<<(), DMParser::readPictInfo(), and DMParser::sendPicture().

int DMParserInternal::PictInfo::m_align

the alignement ( 1:center, ... )

Referenced by DMParserInternal::operator<<(), DMParser::readPictInfo(), and DMParser::sendPicture().

std::string DMParserInternal::PictInfo::m_appleScript[3]

the applescript type

Referenced by DMParserInternal::operator<<(), PictInfo(), and DMParser::readPictInfo().

std::string DMParserInternal::PictInfo::m_extra

extra data

Referenced by DMParserInternal::operator<<(), and DMParser::readPictInfo().

int DMParserInternal::PictInfo::m_id

the picture id

Referenced by DMParserInternal::operator<<(), DMParser::readPictInfo(), and DMParser::sendPicture().

bool DMParserInternal::PictInfo::m_invert

true if we must invert the picture

Referenced by DMParserInternal::operator<<(), and DMParser::readPictInfo().

int DMParserInternal::PictInfo::m_next[2]

the next chapter/paragraph position for goChapter

Referenced by DMParserInternal::operator<<(), PictInfo(), and DMParser::readPictInfo().

bool DMParserInternal::PictInfo::m_print

true if the picture is printed

Referenced by DMParserInternal::operator<<(), and DMParser::readPictInfo().

int DMParserInternal::PictInfo::m_sndId

the sound id

Referenced by DMParserInternal::operator<<(), and DMParser::readPictInfo().

The documentation for this struct was generated from the following file:

- DMParser.cxx